MWAWPictBitmapContainerBool Class Reference documentation

Public Member Functions | List of all members
MWAWPictBitmapContainerBool Class Reference

a bool container with a function to put packed row More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmapContainerBool:

## Public Member Functions
| MWAWPictBitmapContainerBool (MWAWVec2i const &sz)
| constructor More...
| ~MWAWPictBitmapContainerBool ()
| destructor More...
int | cmp (MWAWPictBitmapContainerBool const &orig) const
| a comparison operator More...
void | setRowPacked (int j, unsigned char const *val)
| allows to use packed m_data More...
Public Member Functions inherited from MWAWPictBitmapContainer< bool >
| MWAWPictBitmapContainer (MWAWVec2i const &sz)
| constructor given size More...
virtual | ~MWAWPictBitmapContainer ()
| destructor More...
bool | ok () const
| returns ok, if the m_data is allocated More...
int | cmp (MWAWPictBitmapContainer< bool > const &orig) const
| a comparison operator More...
MWAWVec2i const & | size () const
| return the array size More...
int | numRows () const
| gets the number of row More...
int | numColumns () const
| gets the number of column More...
bool const & | get (int i, int j) const
| accessor of a cell m_data More...
bool const * | getRow (int j) const
| accessor of a row m_data More...
void | set (int i, int j, bool const &v)
| sets a cell m_data More...
void | setRow (int j, U const *val)
| sets a line of m_data More...
void | setColumn (int i, U const *val)
| sets a column of m_data More...

## Additional Inherited Members
Protected Attributes inherited from MWAWPictBitmapContainer< bool >
MWAWVec2i | m_size
| the size More...
bool * | m_data
| the m_data placed by row ie. d_00, d_10, ... , d_{X-1}0, .. More...

## Detailed Description

a bool container with a function to put packed row

## Constructor & Destructor Documentation

## ◆ MWAWPictBitmapContainerBool()

MWAWPictBitmapContainerBool::MWAWPictBitmapContainerBool | ( | MWAWVec2i const & | sz | ) |
| inlineexplicit

constructor

## ◆ ~MWAWPictBitmapContainerBool()

MWAWPictBitmapContainerBool::~MWAWPictBitmapContainerBool | ( |  | ) |

destructor

## Member Function Documentation

## ◆ cmp()

int MWAWPictBitmapContainerBool::cmp | ( | MWAWPictBitmapContainerBool const & | orig | ) | const
| inline

a comparison operator

## ◆ setRowPacked()

void MWAWPictBitmapContainerBool::setRowPacked | ( | int | j,
|  | unsigned char const * | val
| ) |  |
| inline

allows to use packed m_data

The documentation for this class was generated from the following files:

- MWAWPictBitmap.hxx
- MWAWPictBitmap.cxx